AsterNet Class Library (Sandcastle documentation)

| ConfbridgeStartRecordAction Class

[Missing <summary> documentation for "T:AsterNET.Manager.Action.ConfbridgeStartRecordAction"]

Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
ConfbridgeStartRecordAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ConfbridgeStartRecordAction : ManagerAction

    Public Class ConfbridgeStartRecordAction
    	Inherits ManagerAction

    public ref class ConfbridgeStartRecordAction : public ManagerAction

    type ConfbridgeStartRecordAction =
        class
            inherit ManagerAction
        end

The ConfbridgeStartRecordAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ConfbridgeStartRecordAction | Starts recording a specified conference, with an optional filename. If recording is already in progress, an error will be returned. If RecordFile is not provided, the default record_file as specified in the conferences Bridge Profile will be used. If record_file is not specified, a file will automatically be generated in Asterisk's monitor directory.
| ConfbridgeStartRecordAction(String) | Starts recording a specified conference, with an optional filename. If recording is already in progress, an error will be returned. If RecordFile is not provided, the default record_file as specified in the conferences Bridge Profile will be used. If record_file is not specified, a file will automatically be generated in Asterisk's monitor directory.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| Conference |
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace